Subject: Re: bug#53344: Inconsistency detected by ld.so: dl-call-libc-early-init.c: 37: _dl_call_libc_early_init: Assertion `sym != NULL' failed!

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Wed, 19 Jan 2022 01:20:18 +0100

Ludovic Courtès <[email-masked]> writes:

> "Dr. Arne Babenhauserheide" <[email-masked]> skribis:
>
>> when I call guix, I get the error
>>
>> Inconsistency detected by ld.so: dl-call-libc-early-init.c: 37:
>> _dl_call_libc_early_init: Assertion `sym != NULL' failed!
>>
>> `which guix` gives
>>
>> /home/USER/.config/guix/current/bin/guix
>
> When did it start happening?

It started happening a few weeks ago.

I found the cause now, though: I had

LD_LIBRARY_PATH=$HOME/.guix-profile/lib:$LD_LIBRARY_PATH

in my .profile, because that was once needed to get some non-guix-builds
working. Removing that and updating the core system (guix system
reconfigure …) and rebooting resolved the issue.

I still have some breakage left, though: On starting icecat, I see
/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6: version `GLIBC_2.33' not found (required by /gnu/store/qw4dm41ik5krj0s2af9fbcccjga2bfg8-gvfs-1.48.1/lib/gvfs/libgvfscommon.so)
Failed to load module: /run/current-system/profile/lib/gio/modules/libgioremote-volume-monitor.so
/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6: version `GLIBC_2.33' not found (required by /run/current-system/profile/lib/gio/modules/libgvfsdbus.so)
Failed to load module: /run/current-system/profile/lib/gio/modules/libgvfsdbus.so
/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6: version `GLIBC_2.33' not found (required by /gnu/store/lxcz3h4klzg041f6rhi9lfyfqba3zizy-libproxy-0.4.17/lib/libproxy.so.1)
Failed to load module: /run/current-system/profile/lib/gio/modules/libgiolibproxy.so

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de